package org.ta.pddserver.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.ta.pdd.entity.PackageDetailEntity;
import org.ta.pddserver.mapper.PackageDetailMapper;
import org.ta.pddserver.service.PackageDetailService;

import java.util.List;

@Service
public class PackageDetailImpl extends ServiceImpl<PackageDetailMapper, PackageDetailEntity> implements PackageDetailService {


    public int removeByOrderCode(String orderCode) {
        return this.baseMapper.removeByOrderCode(orderCode);
    }

    public List<PackageDetailEntity> getByOrderCode(String orderCode) {
        return this.baseMapper.findByOrderCode(orderCode);
    }

    public Long countToday(String today) {
        return this.baseMapper.countFromDate(today);
    }
}